Subject: Re: B20.1: Thread support seems to be broken in 'gdb'
From: Earnie Boyd <[email-masked]>
To: Jon Leichter <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 21 Oct 1999 19:27:18 -0700 (PDT)

--- Jon Leichter <[email-masked]> wrote:
> I could not find mention of this problem in the Cygwin FAQs or the mailing
> list.
> 

You didn't look hard enough.  Cygwin is _not_ thread safe.

-8<-
> 
> I always get a signal SIGTRAP message whenever I try to debug any threaded
> application. The rest of the 'gdb' session is completely unusable. I can run
> this program (outside of the debugger) with no problem.
> 
> I'll point out that the version of 'gdb' provided with Mingw32's standalone
> package does not have this problem.
> 

=====
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't cc me)
__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]